Bug 172786 - Badness in usb_unlink_urb with speedtch
Badness in usb_unlink_urb with speedtch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 14:22 EST by James
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 13:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2005-11-09 14:22:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
There is a badness thrown in usb_unlink_urb when the SpeedTouch 330 USB ADSL modem using the speectch kernel-mode driver is detached.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1381_FC3smp

How reproducible:
Always

Steps to Reproduce:
1. Plug in SpeedTouch 330 USB modem.
2. Unplug modem after a while.
3. Check logs.
  

Actual Results:  The following trace is left in dmesg:

usb 4-2: USB disconnect, address 6
usb_unlink_urb() is deprecated for synchronous unlinks.  Use usb_kill_urb() instead.
Badness in usb_unlink_urb at drivers/usb/core/urb.c:461 (Not tainted)
 [<c027ac7f>] usb_unlink_urb+0x98/0x9a
 [<e0c501e2>] speedtch_usb_disconnect+0x5b/0x64 [speedtch]
 [<c027502c>] usb_unbind_interface+0x5a/0x5c
 [<c023b07b>] device_release_driver+0x50/0x59
 [<c023b27d>] bus_remove_device+0x66/0x9c
 [<c023a4c4>] device_del+0x64/0x99
 [<c027bd3e>] usb_disable_device+0x79/0xde
 [<c0277107>] usb_disconnect+0xb0/0x153
 [<c027829c>] hub_port_connect_change+0x2e2/0x39b
 [<c0275efc>] clear_port_feature+0x48/0x4d
 [<c027851f>] hub_events+0x1ca/0x367
 [<c02786f1>] hub_thread+0x35/0xff
 [<c01345f3>] autoremove_wake_function+0x0/0x37
 [<c0103efe>] ret_from_fork+0x6/0x14
 [<c01345f3>] autoremove_wake_function+0x0/0x37
 [<c02786bc>] hub_thread+0x0/0xff
 [<c01023d1>] kernel_thread_helper+0x5/0xb


Expected Results:  Kernel notes detachment and straightens its coat.

Additional info:
Comment 1 Pete Zaitcev 2005-11-09 18:47:29 EST
The right fix would be to replace usb_unlink_usb with usb_kill_usb in speedtch,
though it's probably more polite to add a stub into FC3 kernel. I suspect
this happened because we moved on a new upstream kernel.
Comment 2 Dave Jones 2006-01-16 17:32:30 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 3 Dave Jones 2006-02-03 01:50:40 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.